FreeMat

- Main Page
- Related Pages

vtkDataSetToUnstructuredGridFilter

Section: Visualization Toolkit Filtering Classes

# Usage

vtkDataSetToUnstructuredGridFilter is an abstract filter class whose subclasses take as input any dataset and generate an unstructured grid on output.

To create an instance of class vtkDataSetToUnstructuredGridFilter, simply invoke its constructor as follows

      obj = vtkDataSetToUnstructuredGridFilter

# Methods

The class vtkDataSetToUnstructuredGridFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataSetToUnstructuredGridFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataSetToUnstructuredGridFilter = obj.NewInstance ()`
- `vtkDataSetToUnstructuredGridFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkDataSet input)` - Set / get the input data or filter.
- `vtkDataSet = obj.GetInput ()` - Set / get the input data or filter.